/**
 * SyntaxHighlighter
 * http://alexgorbatchev.com/
 *
 * @version
 * 2.0.287 (February 06 2009)
 *
 * @author
 * Alex Gorbatchev
 * 
 * @copyright
 * Copyright (C) 2004-2009 Alex Gorbatchev.
 *
 * Licensed under a GNU Lesser General Public License.
 * http://creativecommons.org/licenses/LGPL/2.1/
 *
 * SyntaxHighlighter is donationware. You are allowed to download, modify and distribute 
 * the source code in accordance with LGPL 2.1 license, however if you want to use 
 * SyntaxHighlighter on your site or include it in your product, you must donate.
 * http://alexgorbatchev.com/wiki/SyntaxHighlighter:Donate
 */
SyntaxHighlighter.brushes.JScript=function(){
	var a='abstract boolean break byte case catch char class const continue debugger default delete do double else enum export extends false final finally float for function goto if implements import in instanceof int interface long native new null package private protected public return short static super switch synchronized this throw throws transient true try typeof var void volatile while with';
	var b='eval decodeURI decodeURIComponent encodeURI encodeURIComponent isNaN isFinite parseFloat parseInt Math setInterval setTimeout unescape escape getSelection resizeTo print Object String Number Array Boolean Date RegExp',
		m = 'acos asin atan atan2 ceil charAt cos exp floor setDate getDate getDay setHours getHours setMinutes setMonth setSeconds setTime getTimezoneOffset setYear getMinutes getMonth getSeconds getTime getYear indexOf join lastIndexOf log max min parse pow random replace reset reverse round select sin sort split sqrt substring substr tan toGMTString toLocaleString toLowerCase toString toUpperCase UTC writeln write',
		cl = 'window document alert';
	this.regexList=[
		{regex:SyntaxHighlighter.regexLib.singleLineCComments,css:'comments'},
		{regex:SyntaxHighlighter.regexLib.multiLineCComments,css:'comments'},
		{regex:SyntaxHighlighter.regexLib.doubleQuotedString,css:'string'},
		{regex:SyntaxHighlighter.regexLib.singleQuotedString,css:'string'},
		{regex:/\s*#.*/gm,css:'preprocessor'},
		{regex:new RegExp(this.getKeywords(b),'gm'),css:'method'},
		{regex:new RegExp(this.getKeywords(a),'gm'),css:'keyword'},
		{regex:new RegExp(/*'(?:^|[^.])(?:' + */this.getKeywords(cl)/* + ')'*/,'gm'),css:'cl_keyword'},
		{regex:/\b\d+\b|\d*\.\d+|0x[0-9a-f]+|Infinity/g,css:'digits'},
		{regex:/\/(?:\.|\\\/|[^\n\/])*\/(?:i|m|g){0,3}/g,css:'regexps'},
		{regex:/\/(?:\.|\\\/|[^\n\/])*\/(?:i|m|g){0,3}/g,css:'regexps'}
	];this.forHtmlScript(SyntaxHighlighter.regexLib.scriptScriptTags)};SyntaxHighlighter.brushes.JScript.prototype=new SyntaxHighlighter.Highlighter();SyntaxHighlighter.brushes.JScript.aliases=['js','jscript','javascript'];